mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Messaging.MethodCall System.Runtime.Remoting.Activation.IConstructionCallMessage System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true)

The class is used by the remoting infrastructure of the .NET Framework. You do not need to create an instance of the class directly; instead, use the interface.

A remoting client sends a message to a server when attempting to create an instance of a client-activated remote class.

Implements the interface to create a request message that constitutes a constructor call on a remote object.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class is used by the remoting infrastructure of the .NET Framework. You do not need to create an instance of the class directly; instead, use the interface.

  Initializes a new instance of the class from an array of remoting headers.

  An array of remoting headers that contain key-value pairs. This array is used to initialize fields for those headers that belong to the namespace "http://schemas.microsoft.com/clr/soap/messageProperties".
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class is used by the remoting infrastructure of the .NET Framework. You do not need to create an instance of the class directly; instead, use the interface.

  Initializes a new instance of the class by copying an existing message.

  A remoting message.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the type of the remote object to activate.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the full type name of the remote object to activate.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Activation.IActivator To be added. To be added.

  Gets or sets the activator that activates the remote object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] To be added: an object of type 'object []' To be added

  Gets the call site activation attributes for the remote object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IList To be added: an object of type 'Collections.IList' To be added

  Gets a list of properties that define the context in which the remote object is to be created.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionary To be added.

  The property returns the value of the inherited field.

  Gets an interface that represents a collection of the remoting message's properties.